### Enumeration

# WebKit SnapshotOptions

unstable since: 6.0

#### Declaration

    flags WebKit.SnapshotOptions

#### Description [src]

Enum values used to specify options when taking a snapshot from a `WebKitWebView`.

Available since: 6.0

#### Members

`WEBKIT_SNAPSHOT_OPTIONS_NONE`

  Do not include any special options.

  - Value: `0`
  - Nickname: `none`
  - Available since: 6.0
`WEBKIT_SNAPSHOT_OPTIONS_INCLUDE_SELECTION_HIGHLIGHTING`

  Whether to include in the snapshot the highlight of the selected content.

  - Value: `1`
  - Nickname: `include-selection-highlighting`
  - Available since: 6.0
`WEBKIT_SNAPSHOT_OPTIONS_TRANSPARENT_BACKGROUND`

  Do not fill the background with white before rendering the snapshot. Since 2.8

  - Value: `2`
  - Nickname: `transparent-background`
  - Available since: 6.0